org.apache.hc.client5.http.impl

## Class RequestSupport

- java.lang.Object
- - org.apache.hc.client5.http.impl.RequestSupport

    @Internal
    public final class RequestSupport
    extends Object

Protocol support methods. For internal use only.

Since:
  5.2

### Constructor Summary

Constructors
Constructor and Description
`RequestSupport()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `extractPathPrefix(org.apache.hc.core5.http.HttpRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestSupport

    public RequestSupport()

### Method Detail

#### extractPathPrefix

    public static String extractPathPrefix(org.apache.hc.core5.http.HttpRequest request)